function centerWindow()
{
	var screen = window.screen;
	var left = screen.left + (screen.width - window.outerWidth)/2;
	var top = screen.top + (screen.height - window.outerHeight)/2;
	window.moveSizeTo(left, top, window.outerWidth, window.outerHeight);
}
function WindowOnLoad()
{
	centerWindow();
	$("checkSubmit").checked = true;
	$("btnExport").disabled = true;
	$("btnExport").label.foregroundColor="#999999";
	$("btnCopyTo").disabled = true;
	$("btnCopyTo").label.foregroundColor="#999999";
	$("btnOK").disabled = true;
	$("btnOK").label.foregroundColor="#999999";

	window.checkProgress = 0 ;
	window.copyto = function()
	{
		var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
		if(Troubleshooter)
		{
			var bCopy = Troubleshooter.CopyToClipboard();
			if(bCopy)
			{
				window.alert("复制成功，您可以粘贴(Ctrl+V)到需要的地方。","PPTV故障检测");
			}
		}
	}
	window.quit = function()
	{
		var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
		if(Troubleshooter)
		{
			var IsChecking = Troubleshooter.IsChecking;
			if(IsChecking)
			{
				var ret = window.msgbox("    本次故障检测还未完成，\r\n您确定要退出故障检测程序吗？","PPTV故障检测",1);
				if(ret==1) //确定
				{
					window.visible = false;
					window.StopCheck();
				}
			}
			else
			{
				window.visible = false;
			}
		}
	}

	window.exportfile = function()
	{
		if(window.checkProgress == 100)
		{
			var file = SaveFile();
			if(file.length>0)
			{
				var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
				if(Troubleshooter)Troubleshooter.ExportResult(file);
			}
		}
	}

	window.StartCheck = function()
	{
		var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
		if(Troubleshooter)
		{
			window.InitCheck();
			Troubleshooter.StartShooter();
		}
		window.checkProgress=0;
		$("btnStart").visible = false;
		$("btnStop").visible = true;
	}
	window.InitCheck = function ()
	{
		//centerWindow();
		$("btnStart").visible = true;
		$("btnStop").visible = false;
		$("checkSubmit").checked = true;
		var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
		if(Troubleshooter) Troubleshooter.InitCheck();
		$("lblProgress").value = "准备检测...";

		var parent = $("CheckedSubWindow");
		$("lblContent_0").value = "......";
		$("lblContent_1").value = "......";
		$("lblContent_2").value = "......";
		$("lblContent_3").value = "......";
		$("lblContent_4").value = "......";
		$("lblContent_5").value = "......";
		$("lblContent_6").value = "......";
		$("lblContent_7").value = "......";
		$("lblContent_8").value = "......";
		if (parent != null)
		{
			var child = null;
			if (parent.hasChildNodes)
			{
				var i = 0;
				child = parent.firstChild;
				while (child != null)
				{
					if (child.nodeName != "label")
					{
						child.visible = false;
					}
					child = child.nextSibling;
				}
			}
		}
	}
	window.StopCheck = function()
	{
		$("checkSubmit").checked = false;
		$("btnStart").visible = true;
		$("btnStop").visible = false;
		var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
		if(Troubleshooter) Troubleshooter.StopShooter();
	}
	
	window.OnFillResult = function (index, highLight, content)
	{
		try
		{
			var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
			if (Troubleshooter)
			{
				switch (index)
				{
				case '0':
					$("lblHead_0").visible = true;
					$("lblContent_0").visible = true;
					$("lblContent_0").value = content;
					if (highLight==0)
					{
						$("img0_ok").visible = true;
						$("lblContent_0").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img0_alarm").visible = true;
						$("lblContent_0").foregroundColor = "#FE6000";
					}
					break;
				case '1':
					$("lblHead_1").visible = true;
					$("lblContent_1").visible = true;
					$("lblContent_1").value = content;
					if (highLight==0)
					{
						$("img1_ok").visible = true;
						$("lblContent_1").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img1_alarm").visible = true;
						$("lblContent_1").foregroundColor = "#FE6000";
					}
					break;
				case '2':
					$("lblHead_2").visible = true;
					$("lblContent_2").visible = true;
					$("lblContent_2").value = content;
					if (highLight==0)
					{
						$("img2_ok").visible = true;
						$("lblContent_2").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img2_alarm").visible = true;
						$("lblContent_2").foregroundColor = "#FE6000";
					}
					break;
				case '3':
					$("lblHead_3").visible = true;
					$("lblContent_3").visible = true;
					$("lblContent_3").value = content;
					if (highLight==0)
					{
						$("img3_ok").visible = true;
						$("lblContent_3").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img3_alarm").visible = true;
						$("lblContent_3").foregroundColor = "#FE6000";
					}
					break;
				case '4':
					$("lblHead_4").visible = true;
					$("lblContent_4").visible = true;
					$("lblContent_4").value = content;
					if (highLight==0)
					{
						$("img4_ok").visible = true;
						$("lblContent_4").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img4_alarm").visible = true;
						$("lblContent_4").foregroundColor = "#FE6000";
					}
					break;
				case '5':
					$("lblHead_5").visible = true;
					$("lblContent_5").visible = true;
					$("lblContent_5").value = content;
					if (highLight==0)
					{
						$("img5_ok").visible = true;
						$("lblContent_5").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img5_alarm").visible = true;
						$("lblContent_5").foregroundColor = "#FE6000";
					}
					break;
				case '6':
					$("lblHead_6").visible = true;
					$("lblContent_6").visible = true;
					$("lblContent_6").value = content;
					if (highLight==0)
					{
						$("img6_ok").visible = true;
						$("lblContent_6").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img6_alarm").visible = true;
						$("lblContent_6").foregroundColor = "#FE6000";
					}
					break;
				case '7':
					$("lblHead_7").visible = true;
					$("lblContent_7").visible = true;
					$("lblContent_7").value = content;
					if (highLight==0)
					{
						$("img7_ok").visible = true;
						$("lblContent_7").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img7_alarm").visible = true;
						$("lblContent_7").foregroundColor = "#FE6000";
					}
					break;
				case '8':
					$("lblHead_8").visible = true;
					$("lblContent_8").visible = true;
					$("lblContent_8").value = content;
					if (highLight==0)
					{
						$("img8_ok").visible = true;
						$("lblContent_8").foregroundColor = "#777777";
					}
					else if (highLight == 1)
					{
						$("img8_alarm").visible = true;
						$("lblContent_8").foregroundColor = "#FE6000";
					}
					break;
				default:
//					$("img0_ok").visible = true;
//						$("lbl0").value = index;
//						$("lbl0").foregroundColor = "#FE6000";
					break;
				}
			}
		}
		catch (e)
		{
		}
	}
	window.OnCheckProgress = function (lProgress,lProgressMax)
	{
		try
		{
			var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
			if(Troubleshooter)
			{
				var IsChecking = Troubleshooter.IsChecking;
				if(IsChecking)
				{
					$("btnStart").visible = false;
					$("btnStop").visible = true;
				}
				else
				{
					$("btnStart").visible = true;
					$("btnStop").visible = false;
				}
			}
			$("btnExport").disabled = true;
			$("btnExport").label.foregroundColor="#999999";
			$("btnCopyTo").disabled = true;
			$("btnCopyTo").label.foregroundColor="#999999";
			$("btnOK").disabled = true;
			$("btnOK").label.foregroundColor="#999999";

			if(lProgress==0 && lProgressMax==0)
			{
				$("lblProgress").value = "准备检测...";
				window.checkProgress = 0 ;
			}
			else if(lProgress==-1 && lProgressMax==-1)
			{
				$("lblProgress").value = "检测中断";
				window.checkProgress = 0 ;
			}
			else if(lProgress==-2 && lProgressMax==-2)
			{
				window.checkProgress = 100;
				$("btnExport").disabled = false;
				$("btnExport").label.foregroundColor="#000000";
				$("btnCopyTo").disabled = false;
				$("btnCopyTo").label.foregroundColor="#000000";
				$("btnOK").disabled = false;
				$("btnOK").label.foregroundColor="#000000";
				$("lblProgress").value = "检测完成";
			}
			else if(lProgress>0 && lProgressMax>0 && lProgress <= lProgressMax)
			{
				$("lblProgress").value = "正在检测..." + parseInt(lProgress * 100 / lProgressMax) + "%";
			}
		}
		catch (e)
		{
		}
	}

	window.submit = function()
	{
		var Troubleshooter =  Components.GetObject("@pplive.com/Troubleshooter;1");
		if(window.checkProgress == 100) 
		{
			window.visible = false;
			if(Troubleshooter && $("checkSubmit").checked)Troubleshooter.Submit($("editQQMSN").value,$("editTel").value, $("editDescription").value);
		}
		else if(window.checkProgress < 100 && window.checkProgress > 0 )
		{
			window.alert("检查完成之后才能提交");
		}
		else 
		{
			window.alert("请先点击\"开始检测\"按钮进行故障检测");
		}
	}
}
// SIG // Begin signature block
// SIG // MIIVVgYJKoZIhvcNAQcCoIIVRzCCFUMCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFIiG+Wpk7iA0
// SIG // UwFPCU+RCkGijB+aoIIRWzCCA3owggJioAMCAQICEDgl
// SIG // 1/r4Ya+e9JDnJrXWWtUwDQYJKoZIhvcNAQEFBQAwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBMB4XDTA3MDYxNTAwMDAwMFoX
// SIG // DTEyMDYxNDIzNTk1OVowXDELMAkGA1UEBhMCVVMxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMTQwMgYDVQQDEytW
// SIG // ZXJpU2lnbiBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIFNp
// SIG // Z25lciAtIEcyMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCB
// SIG // iQKBgQDEtfJSFbyIhmApFkpbL0uRa4eR8zVUWDXq0TZe
// SIG // Yk1SUTRxwntmHYnI3SrEagr2N9mYdJH2kq6wtXaW8alK
// SIG // Y0VHLmsLkk5LK4zuWEqL1AfkGiz4gqpY2c1C8y3Add6N
// SIG // q8eOHZpsTAiVHt7b72fhcsJJwp5gPOHivhajY3hpFHut
// SIG // LQIDAQABo4HEMIHBMDQGCCsGAQUFBwEBBCgwJjAkBggr
// SIG // BgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29t
// SIG // MAwGA1UdEwEB/wQCMAAwMwYDVR0fBCwwKjAooCagJIYi
// SIG // aHR0cDovL2NybC52ZXJpc2lnbi5jb20vdHNzLWNhLmNy
// SIG // bDAWBgNVHSUBAf8EDDAKBggrBgEFBQcDCDAOBgNVHQ8B
// SIG // Af8EBAMCBsAwHgYDVR0RBBcwFaQTMBExDzANBgNVBAMT
// SIG // BlRTQTEtMjANBgkqhkiG9w0BAQUFAAOCAQEAUMVLyCSA
// SIG // 3+QNJMLeGrGhAqGmgi0MgxWBNwqCDiywWhdhtdgF/ojb
// SIG // 8ZGRs1YaQKbrkr44ObB1NnQ6mE/kN7qZicqVQh2wuceg
// SIG // jVfg+tVkBEI1TgHRM6IXyE2qJ8fy4YZMAjhNg3jG/FPg
// SIG // 6+AGh92klp5eDJjipb6/goXDYOHfrSjYx6VLZNrHG1u9
// SIG // rDkI1TgioTOLL4qa67wHIT9EQQkHtWUcJLxI00SA66HP
// SIG // yQK0FM9UxxajgFz5eT5dcn2IF54sQ6LKU859PfYqOrhP
// SIG // lAClbQqDXfleU/QYs1cPcMP79a2VoA4X3sQWgGDJDytu
// SIG // hgTx6/R4J9EFxe40W165STLyMzCCA8QwggMtoAMCAQIC
// SIG // EEe/GZXfjVJGQ/fbbUgNMaQwDQYJKoZIhvcNAQEFBQAw
// SIG // gYsxCzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJu
// SIG // IENhcGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYD
// SIG // VQQKEwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0
// SIG // aWZpY2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0
// SIG // YW1waW5nIENBMB4XDTAzMTIwNDAwMDAwMFoXDTEzMTIw
// SIG // MzIzNTk1OVowUzELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMSswKQYDVQQDEyJWZXJpU2ln
// SIG // biBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqcqypMzN
// SIG // IK8KfYmsh3XwtE7x38EPv2dhvaNkHNq7+cozq4QwiVh+
// SIG // jNtr3TaeD7/R7Hjyd6Z+bzy/k68Numj0bJTKvVItq0g9
// SIG // 9bbVXV8bAp/6L2sepPejmqYayALhf0xS4w5g7EAcfrkN
// SIG // 3j/HtN+HvV96ajEuA5mBE6hHIM4xcw1XLc14NDOVEpkS
// SIG // ud5oL6rm48KKjCrDiyGHZr2DWFdvdb88qiaHXcoQFTyf
// SIG // hOpUwQpuxP7FSt25BxGXInzbPifRHnjsnzHJ8eYiGdvE
// SIG // s0dDmhpfoB6Q5F717nzxfatiAY/1TQve0CJWqJXNroh2
// SIG // ru66DfPkTdmg+2igrhQ7s4fBuwIDAQABo4HbMIHYMDQG
// SIG // CCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDov
// SIG // L29jc3AudmVyaXNpZ24uY29tMBIGA1UdEwEB/wQIMAYB
// SIG // Af8CAQAwQQYDVR0fBDowODA2oDSgMoYwaHR0cDovL2Ny
// SIG // bC52ZXJpc2lnbi5jb20vVGhhd3RlVGltZXN0YW1waW5n
// SIG // Q0EuY3JsMBMGA1UdJQQMMAoGCCsGAQUFBwMIMA4GA1Ud
// SIG // DwEB/wQEAwIBBjAkBgNVHREEHTAbpBkwFzEVMBMGA1UE
// SIG // AxMMVFNBMjA0OC0xLTUzMA0GCSqGSIb3DQEBBQUAA4GB
// SIG // AEpr+epYwkQcMYl5mSuWv4KsAdYcTM2wilhu3wgpo17I
// SIG // ypMT5wRSDe9HJy8AOLDkyZNOmtQiYhX3PzchT3AxgPGL
// SIG // OIez6OiXAP7PVZZOJNKpJ056rrdhQfMqzufJ2V7duyuF
// SIG // PrWdtdnhV/++tMV+9c8MnvCX/ivTO1IbGzgn9z9KMIIE
// SIG // /DCCBGWgAwIBAgIQZVIm4bIuGOFZDymFrCLnXDANBgkq
// SIG // hkiG9w0BAQUFADBfMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xNzA1BgNVBAsTLkNsYXNz
// SIG // IDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlvbiBB
// SIG // dXRob3JpdHkwHhcNMDkwNTIxMDAwMDAwWhcNMTkwNTIw
// SIG // MjM1OTU5WjCBtjELMAkGA1UEBhMCVVMxFzAVBgNVBAoT
// SIG // DlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2ln
// SIG // biBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJtcyBv
// SIG // ZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24uY29t
// SIG // L3JwYSAoYykwOTEwMC4GA1UEAxMnVmVyaVNpZ24gQ2xh
// SIG // c3MgMyBDb2RlIFNpZ25pbmcgMjAwOS0yIENBMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvmcdtGCq
// SIG // EElvVhd8Zslehg3V8ayncYOOi4n4iASJFQa6LYQhleTR
// SIG // nFBM+9IivdrysjU7Ho/DCfv8Ey5av4l8PTslHvbzWHuc
// SIG // 9AG1xgq4gM6+J3RhZydNauXsgWFYeaPgFxASFSew4U00
// SIG // fytHIES53mYkZorNT7ofxTjIVJDhcvYZZnVquUlozzh5
// SIG // DaowqNssYEie16oUAamD1ziRMDkTlgM6fEBUtq3gLxuD
// SIG // 3KgRUj4Cs9cr/SG2p1yjDwupphBQDjQuTafOyV4l1Iy8
// SIG // 8258KbwBXfwxh1rVjIVnWIgZoL818OoroyHnkPaD5ajt
// SIG // YHhee2CD/VcLXUENY1Rg1kMh7wIDAQABo4IB2zCCAdcw
// SIG // EgYDVR0TAQH/BAgwBgEB/wIBADBwBgNVHSAEaTBnMGUG
// SIG // C2CGSAGG+EUBBxcDMFYwKAYIKwYBBQUHAgEWHGh0dHBz
// SIG // Oi8vd3d3LnZlcmlzaWduLmNvbS9jcHMwKgYIKwYBBQUH
// SIG // AgIwHhocaHR0cHM6Ly93d3cudmVyaXNpZ24uY29tL3Jw
// SIG // YTAOBgNVHQ8BAf8EBAMCAQYwbQYIKwYBBQUHAQwEYTBf
// SIG // oV2gWzBZMFcwVRYJaW1hZ2UvZ2lmMCEwHzAHBgUrDgMC
// SIG // GgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYjaHR0cDov
// SIG // L2xvZ28udmVyaXNpZ24uY29tL3ZzbG9nby5naWYwHQYD
// SIG // VR0lBBYwFAYIKwYBBQUHAwIGCCsGAQUFBwMDMDQGCCsG
// SIG // AQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0cDovL29j
// SIG // c3AudmVyaXNpZ24uY29tMDEGA1UdHwQqMCgwJqAkoCKG
// SIG // IGh0dHA6Ly9jcmwudmVyaXNpZ24uY29tL3BjYTMuY3Js
// SIG // MCkGA1UdEQQiMCCkHjAcMRowGAYDVQQDExFDbGFzczND
// SIG // QTIwNDgtMS01NTAdBgNVHQ4EFgQUl9BrqCZwyKE/lB8I
// SIG // LcQ1m6ShHvIwDQYJKoZIhvcNAQEFBQADgYEAiwPA3ZTY
// SIG // QaJhabAVqHjHMMaQPH5C9yS25INzFwR/BBCcoeL6gS/r
// SIG // wMpE53LgULZVECCDbpaS5JpRarQ3MdylLeuMAMcdT+dN
// SIG // MrqF+E6++mdVZfBqvnrKZDgaEBB4RXYx84Z6Aw9gwrNd
// SIG // nfaLZnaCG1nhg+W9SaU4VuXeQXcOWA8wggURMIID+aAD
// SIG // AgECAhBtUn9NfWwaK6fvgdUMiddlMA0GCSqGSIb3DQEB
// SIG // BQUAMIG2MQswCQYDVQQGEwJVUzEXMBUGA1UEChMOVmVy
// SIG // aVNpZ24sIEluYy4xHzAdBgNVBAsTFlZlcmlTaWduIFRy
// SIG // dXN0IE5ldHdvcmsxOzA5BgNVBAsTMlRlcm1zIG9mIHVz
// SIG // ZSBhdCBodHRwczovL3d3dy52ZXJpc2lnbi5jb20vcnBh
// SIG // IChjKTA5MTAwLgYDVQQDEydWZXJpU2lnbiBDbGFzcyAz
// SIG // IENvZGUgU2lnbmluZyAyMDA5LTIgQ0EwHhcNMDkxMTE5
// SIG // MDAwMDAwWhcNMTIxMTE4MjM1OTU5WjCBzjELMAkGA1UE
// SIG // BhMCQ04xETAPBgNVBAgTCFNoYW5naGFpMREwDwYDVQQH
// SIG // EwhTaGFuZ2hhaTEbMBkGA1UEChQSUFBMaXZlIENvcnBv
// SIG // cmF0aW9uMT4wPAYDVQQLEzVEaWdpdGFsIElEIENsYXNz
// SIG // IDMgLSBNaWNyb3NvZnQgU29mdHdhcmUgVmFsaWRhdGlv
// SIG // biB2MjEfMB0GA1UECxQWUHJvZHVjdCBQbGFubmluZyBE
// SIG // ZXB0LjEbMBkGA1UEAxQSUFBMaXZlIENvcnBvcmF0aW9u
// SIG // MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDY7Kff
// SIG // TNpvjGy6zGck0u1/S+B50zuxRF0HrIlPfcpSGmsQyfzm
// SIG // b2eigTz0KuN+palZSdpx0amg9gD+ANFSNo9uqfk1PLeP
// SIG // V7187RIh4taAGUnYROqkPr9kVAsU/SepgjYLVAU46+Bu
// SIG // FtDmCaenpb6rqE+0Y6AV50Rc3iBA0rHvawIDAQABo4IB
// SIG // gzCCAX8wCQYDVR0TBAIwADAOBgNVHQ8BAf8EBAMCB4Aw
// SIG // RAYDVR0fBD0wOzA5oDegNYYzaHR0cDovL2NzYzMtMjAw
// SIG // OS0yLWNybC52ZXJpc2lnbi5jb20vQ1NDMy0yMDA5LTIu
// SIG // Y3JsMEQGA1UdIAQ9MDswOQYLYIZIAYb4RQEHFwMwKjAo
// SIG // BggrBgEFBQcCARYcaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYTATBgNVHSUEDDAKBggrBgEFBQcDAzB1Bggr
// SIG // BgEFBQcBAQRpMGcwJAYIKwYBBQUHMAGGGGh0dHA6Ly9v
// SIG // Y3NwLnZlcmlzaWduLmNvbTA/BggrBgEFBQcwAoYzaHR0
// SIG // cDovL2NzYzMtMjAwOS0yLWFpYS52ZXJpc2lnbi5jb20v
// SIG // Q1NDMy0yMDA5LTIuY2VyMB8GA1UdIwQYMBaAFJfQa6gm
// SIG // cMihP5QfCC3ENZukoR7yMBEGCWCGSAGG+EIBAQQEAwIE
// SIG // EDAWBgorBgEEAYI3AgEbBAgwBgEBAAEB/zANBgkqhkiG
// SIG // 9w0BAQUFAAOCAQEAEHyS6zHfeAr7VXV0+4exGGIaodyt
// SIG // snOwewImElZdtDXV0P9r4B6gp1Ej1ZT8Ddco099Xc7NE
// SIG // e7gyfzCQh27Uq6DSVQP0P9zBI2VgwWaOLweplMHFqKrD
// SIG // q0DXzRAsXiYCu15ugktqWBRVhsOCrNFPcYAiEHhMeRJY
// SIG // 1p5pA+TyXSs2X5AyL1zfpaqrDfJKmhspWabkMbjyLWG9
// SIG // jkQv7K4rviPg//9QfzZoYG3cJBMDqLC3KsSFXs6GNzXo
// SIG // 7EDYhzgJFjpalJUV0n7TL+aPFgRY6/lG3UYPZtsRtGBI
// SIG // W2frpPZy0ww0vcTMzXYL+2TGyka40qCWF3XUw14+znhe
// SIG // yMNA5TGCA2cwggNjAgEBMIHLMIG2MQswCQYDVQQGEwJV
// SIG // UzEXMBUGA1UEChMOVmVyaVNpZ24sIEluYy4xHzAdBgNV
// SIG // BAsTFlZlcmlTaWduIFRydXN0IE5ldHdvcmsxOzA5BgNV
// SIG // BAsTMlRlcm1zIG9mIHVzZSBhdCBodHRwczovL3d3dy52
// SIG // ZXJpc2lnbi5jb20vcnBhIChjKTA5MTAwLgYDVQQDEydW
// SIG // ZXJpU2lnbiBDbGFzcyAzIENvZGUgU2lnbmluZyAyMDA5
// SIG // LTIgQ0ECEG1Sf019bBorp++B1QyJ12UwCQYFKw4DAhoF
// SIG // AKBwMBAGCisGAQQBgjcCAQwxAjAAMBkGCSqGSIb3DQEJ
// SIG // AzEMBgorBgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAM
// SIG // BgorBgEEAYI3AgEVMCMGCSqGSIb3DQEJBDEWBBR3K1MO
// SIG // qDwEp9JcjAhQ1X0XM0KIBzANBgkqhkiG9w0BAQEFAASB
// SIG // gAMFlpIf2xuEKBvppbGZzcbkJu0GjmVd4K9Lp0JWwOj6
// SIG // rSg9+J7cONMudWpRZxjo8z9gTTpYaihTuBAhr85VWsLj
// SIG // 64qJ1FvFbvguHrX8kk34zdxe/X2L7jJP62kq2b1aVoP5
// SIG // s14bH1oO8WlrwoJBHI6Ky13gBdw0lgvOroP4/V5loYIB
// SIG // fzCCAXsGCSqGSIb3DQEJBjGCAWwwggFoAgEBMGcwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBAhA4Jdf6+GGvnvSQ5ya11lrV
// SIG // MAkGBSsOAwIaBQCgXTAYBgkqhkiG9w0BCQMxCwYJKoZI
// SIG // hvcNAQcBMBwGCSqGSIb3DQEJBTEPFw0xMDA2MjUxMDM0
// SIG // MzBaMCMGCSqGSIb3DQEJBDEWBBTu/OzgfHssaADE1u+A
// SIG // Pf5WRVfgnTANBgkqhkiG9w0BAQEFAASBgLwAj79067kQ
// SIG // ZU9K0+RLfxkQXDqRV6dOHeb4ux76oB+orPKJnL7H6AZM
// SIG // s+qxSuSd4QqiCDwogifOluL4lzfXVGYzL2Xaa7l84kKk
// SIG // 3I7bAtFfhqjx1I2YdfVdjXtgnP/jt+LGItLMYbMv00nE
// SIG // Q2ZuIC9YSiYLrmFcHA6ryWYCZg9d
// SIG // End signature block
